net.sf.jasperreports.charts

## Interface JRTimeSeriesDataset

- All Superinterfaces:
    java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  All Known Implementing Classes:
    JRBaseTimeSeriesDataset, JRDesignTimeSeriesDataset, JRFillTimeSeriesDataset

      public interface JRTimeSeriesDataset
      extends JRChartDataset

  This dataset wraps one or multiple time series. A time series consists of (time period, numeric value) pairs. The Time Series dataset can be used with Times Series and XY Bar charts.
  Version:
    $Id: JRTimeSeriesDataset.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRTimeSeries[]` | `getSeries()`
    `java.lang.Class<?>` | `getTimePeriod()`
    `void` | `setTimePeriod(java.lang.Class<?> timePeriod)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeries

          JRTimeSeries[] getSeries()

      Returns:
        an array of `JRTimeSeries` objects representing the series for the Time Series chart
      See Also:
        `JRTimeSeries`

    - #### getTimePeriod

          java.lang.Class<?> getTimePeriod()

      Returns:
        the time period. Specifies the type of the data series inside the dataset. Time series can contain numeric values associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### setTimePeriod

          void setTimePeriod(java.lang.Class<?> timePeriod)

      Parameters:
        `timePeriod` - the time period associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com